<?php
// $Id: core_library.admin.inc,v 1.1 2011/01/06 22:25:37 pounard Exp $

/**
 * @file
 * Core Library module administration pages.
 */

/**
 * Main administration screen.
 */
function core_library_admin_settings(&$form, &$form_state) {

  $form['bypass'] = array(
    '#type' => 'fieldset',
    '#title' => t("Drupal aggregation mecanism bypass"),
    '#collapsible' => FALSE,
  );

  $form['bypass']['core_library_bypass'] = array(
    '#type' => 'radios',
    '#options' => array(
      NULL => t("Disabled") . '<br/><small>' . t("Let Drupal core do what it has to do. If you select this, you should then disable this module.") . '</small>',
      LIBRARY_MODE_MANUAL => t("Manual") . '<br/><small>' . t("Let the site admin choose which file should go through the aggregation process. This needs the Core Library Advanced UI module to be enabled at least to choose the files.") . '</small>',
      LIBRARY_MODE_LEARNING_ANONYMOUS => t("Anonymous only") . '<br/><small>' . t("Automatically learn files that are being used for anymous users only.") . '</small>',
      LIBRARY_MODE_LEARNING_NO_ADMIN => t("All, no admin") . '<br/><small>' . t("Automatically learn files to aggregate while users browse, excluding the administration pages.") . '</small>',
      LIBRARY_MODE_LEARNING_ALL => t("All (<em>bourrin</em> mode)") . '<br/><small>' . t("Automatically learn files to aggregate while users browse, including administration pages.") . '</small>',
    ),
    '#default_value' => variable_get('core_library_bypass', NULL),
  );

  $form['options'] = array(
    '#type' => 'fieldset',
    '#title' => t("Behavior options"),
    '#collapsible' => FALSE,
  );

  $form['options']['core_library_css_group'] = array(
    '#type' => 'checkbox',
    '#title' => t("Experimental: Group CSS"),
    '#default_value' => variable_get('core_library_css_group', FALSE),
    '#description' => t("Forces CSS to be grouped into two groups only, module and libraries CSS files together, theme files after. This is a slight API change since module provided CSS files will be set upper than the theme files itself, and could create directive conflicts and visual glitches."),
  );

  return system_settings_form($form);
}
